Bug 14093 - Fix profiling support in vfs_glusterfs
Fix profiling support in vfs_glusterfs
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.11.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-19 13:02 UTC by Guenther Deschner
Modified: 2019-09-03 11:49 UTC (History)
3 users (show)

See Also:


Attachments
patch for master (19.72 KB, patch)
2019-08-19 13:02 UTC, Guenther Deschner
no flags Details
patch for v4-11 (21.85 KB, patch)
2019-08-21 06:43 UTC, Anoop C S
gd: review+
jra: review+
Details
patch for v4-10 (21.78 KB, patch)
2019-08-21 06:43 UTC, Anoop C S
gd: review+
jra: review+
Details
patch for v4-9 (21.78 KB, patch)
2019-08-21 06:44 UTC, Anoop C S
gd: review-
Details
patch for v4-9 (22.14 KB, patch)
2019-08-21 18:49 UTC, Anoop C S
gd: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2019-08-19 13:02:35 UTC
Created attachment 15399 [details]
patch for master

vfs_glusterfs has only rudimentary support for generating profiling information. Attached patch fixes that.
Comment 1 Anoop C S 2019-08-21 06:43:19 UTC
Created attachment 15404 [details]
patch for v4-11
Comment 2 Anoop C S 2019-08-21 06:43:53 UTC
Created attachment 15405 [details]
patch for v4-10
Comment 3 Anoop C S 2019-08-21 06:44:45 UTC
Created attachment 15406 [details]
patch for v4-9
Comment 4 Guenther Deschner 2019-08-21 11:36:19 UTC
Comment on attachment 15404 [details]
patch for v4-11

LGTM
Comment 5 Guenther Deschner 2019-08-21 11:41:40 UTC
Comment on attachment 15405 [details]
patch for v4-10

LGTM
Comment 6 Guenther Deschner 2019-08-21 12:00:09 UTC
Comment on attachment 15406 [details]
patch for v4-9

Current v4-9 backport has some issues, updated patch provided soon.
Comment 7 Anoop C S 2019-08-21 18:49:33 UTC
Created attachment 15409 [details]
patch for v4-9

Attaching a modified patch adapting to changes in profiling macros for fsync async calls in v4-9.
Comment 8 Jeremy Allison 2019-08-21 23:30:23 UTC
Re-assigning to Karolin for inclusion in 4.11.rcNext, 4.10.next, 4.9.next.
Comment 9 Karolin Seeger 2019-08-23 08:59:36 UTC
(In reply to Jeremy Allison from comment #8)
Pushed to autobuild-v4-{11,10,9}-test.
Comment 10 Karolin Seeger 2019-09-03 11:49:57 UTC
(In reply to Karolin Seeger from comment #9)
Pushed to all branches.
Closing out bug report.

Thanks!